
#change border colour values are: $ 01 00 02 to 07 38 to 3F
# All these should have the same value -- this is the usual border color 
%patch $4A62   $13 
%patch $6F9D   $03 
%patch $15568  $01 
%patch $15579  $11 
%patch $1558A  $03 
%patch $1559B  $13 

# The two colors that the border flashes when a Vorticon dies 
%patch $4A7D $02 
%patch $4A85 $12

# Disable the "no-clipping" on the map with GOD mode 
%patch $A626  $EB 

%patch $15076 400
%patch $1507C 800
%patch $1507E 1600

%patch $992A  $3D $01   # Joystick 
%patch $995D  $3E $01   # Battery 
%patch $9990  $3F $01   # Vacuum cleaner 
%patch $99C3  $40 $01   # Whisky bottle 

# Keen sprite - will be shown at pixel coords 160, 64 on screen 
%patch $81F1 $28      # This is sprite $28 = 40 (Map keen facing left) 

# Map top-left corner coords (multiplied by $1000) 
%patch $81D6 $1000      
%patch $81DC $0000 
%patch $81E2 $1000     
%patch $81E8 $0001 

%patch 0x015EF6 "Restore  Game"
%patch 0x015F12 "About Me..."
%patch 0x015F22 "The Keenest"
%patch 0x015F44 "Pictures!"

#have pogo
%patch $900E  $01 $00 

%patch $180D  $01 $00      # Strength of regular vorticon (1 less than # shots) 
%patch $1819  $18 $00      # Strength of vorticon commander (1 less than # shots) 

#CTSpace Cheat Code
%patch 0x011F5 0x502F
%patch 0x011FC 0x503A
%patch 0x01203 0x5047

# Set the raygun to give Keen only one shot 
%patch $44A4  -1

# Single tile "Done" marker 
%patch $7D88  $29 $02 

# Four-tile "Done" marker 
%patch $7DFC  $2A $02 
%patch $7E14  $2B $02 
%patch $7E2A  $2C $02 
%patch $7E43  $2D $02

%patchfile 0x130F8 tiles.lst

# Patch in the long-integer drawing function 
%patch $11B4                   $55 $89 $E5 $B8 $0A $00 $50 $B8 $90 $82 $50 $FF 
               $76 $06 $FF $76 $04 $E8 $03 $C2 $83 $C4 $08 $B8 $90 $82 $50 $E8 
               $A5 $C5 $44 $44 $8B $56 $08 $29 $C2 $89 $16 $82 $82 $8B $46 $0A 
               $A3 $F8 $82 $B8 $90 $82 $50 $E8 $E8 $50 $44 $44 $89 $EC $5D $C3 

# Patch in the name of the status dialog text file 
%patch $13084  "STATUS.CK1" $00 

# Patch in the code to draw the status text (coordinates are measure in characters--8 pixel blocks) 
%patch $0E6A                                           $B8 $00 $3D $BA $34 $00   # Show status window (0E6A) 
               $CD $21 $89 $C3 $BF $27 $00 $C6 $06 $9A $82 $00 $B9 $0A $00 $BA 
               $90 $82 $B4 $3F $CD $21 $53 $B8 $90 $82 $50 $E8 $2E $97 $44 $44 
               $5B $4F $75 $E8 $B4 $3E $CD $21 
                                               $8B $46 $FE $05 $01 $00 $50 $89   # Show score (0E98) 
               $F0 $05 $0A $00 $50 $FF $36 $CC $AA $FF $36 $CA $AA $E8 $04 $03 
               $83 $C4 $08 
                           $8B $46 $FE $05 $01 $00 $50 $89 $F0 $05 $1A $00 $50   # Show extra Keen score (0EB3) 
               $A1 $C4 $6E $8B $16 $C2 $6E $81 $C2 $20 $4E $15 $00 $00 $50 $52 
               $E8 $E1 $02 $83 $C4 $08 
                                       $31 $FF $3B $3E $C6 $AA $7D $29 $83 $FF   # Show Keens (0ED6) 
               $06 $7D $24 $B8 $7B $00 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 
               $E0 $90 $90 $50 $89 $F8 $D1 $E0 $05 $01 $00 $01 $F0 $50 $E8 $2C 
               $AC $83 $C4 $06 $47 $EB $D1 
%patch $0F07                               $B8 $41 $01 $83 $3E $94 $AA $00 $74   # Draw the joystick 
               $03 $B8 $3D $01 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $10 $00 $50 $E8 $0D $AA $83 $C4 $06 
                                                                           $B8   # Draw the battery 
               $42 $01 $83 $3E $9C $AA $00 $74 $03 $B8 $3E $01 $50 $8B $46 $FE 
               $05 $03 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $13 $00 
               $50 $E8 $E5 $A9 $83 $C4 $06 
                                           $B8 $43 $01 $83 $3E $96 $AA $00 $74   # Draw the vacuum 
               $03 $B8 $3F $01 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $16 $00 $50 $E8 $BD $A9 $83 $C4 $06 
                                                                           $B8   # Draw the whiskey 
               $44 $01 $83 $3E $98 $AA $00 $74 $03 $B8 $40 $01 $50 $8B $46 $FE 
               $05 $03 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $19 $00 
               $50 $E8 $95 $A9 $83 $C4 $06 
%patch $0FA7                               $B8 $2E $02 $83 $3E $9E $AA $00 $74   # Keycard A 
               $03 $B8 $A8 $01 $50 $8B $46 $FE $05 $07 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $13 $00 $50 $E8 $6D $A9 $83 $C4 $06 
                                                                           $B8   # Keycard B 
               $2E $02 $83 $3E $A0 $AA $00 $74 $03 $B8 $A9 $01 $50 $8B $46 $FE 
               $05 $07 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $17 $00 
               $50 $E8 $45 $A9 $83 $C4 $06 
                                           $B8 $2E $02 $83 $3E $A2 $AA $00 $74   # Keycard C 
               $03 $B8 $AA $01 $50 $8B $46 $FE $05 $09 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $13 $00 $50 $E8 $1D $A9 $83 $C4 $06 
                                                                           $B8   # Keycard D 
               $2E $02 $83 $3E $A4 $AA $00 $74 $03 $B8 $AB $01 $50 $8B $46 $FE 
               $05 $09 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $17 $00 
               $50 $E8 $F5 $A8 $83 $C4 $06 
%patch $1047                               $B8 $2E $02 $83 $3E $9A $AA $00 $74   # Pogo stick 
               $03 $B8 $9F $01 $50 $8B $46 $FE $05 $08 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $2E $02 $50 $E8 $CD $A8 $83 $C4 $06 
                                                                           $8B   # Draw ammo 
               $46 $FE $05 $0B $02 $50 $89 $F0 $05 $06 $02 $50 $31 $C0 $50 $FF 
               $36 $C8 $AA $E8 $2E $01 $83 $C4 $08 
                                                   $EB $1C $01 $50 $8B $46 $FE   # Draw raygun (replace first two bytes 
               $05 $07 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $03 $00   # with $EB $1C if you don't want to 
               $50 $E8 $95 $A8 $83 $C4 $06                                       # draw the raygun on the status screen) 

                                           $E8 $90 $4B $31 $C0 $50 $E8 $1E $AD   # Wait for a key, then return 
               $44 $44 $E8 $81 $A6 $E8 $D1 $F1 $E8 $CE $F1 $E8 $7C $4B $8B $46 
               $FC $8B $56 $FA $89 $16 $35 $51 $A3 $37 $51 $5F $5E $89 $EC $5D 
               $C3 

# Change the teleporter so it works within the level (updated 24/09/03) 
%patch $8919                           $89 $F0 $F7 $2E $08 $6C $01 
   $F8 $D1 $E0 $C4 $1E $4C $6C $01 $C3 $26 $8B $07 $50 $88 $E0 $98 
   $99 $01 $F0 $83 $D2 $00 $B1 $0C $E8 $16 $58 $89 $16 $E4 $6E $A3 
   $E2 $6E $05 $00 $B0 $83 $D2 $FF $A3 $D4 $6E $89 $16 $D6 $6E $58 
   $98 $99 $01 $F8 $83 $D2 $00 $B1 $0C $E8 $F5 $57 $89 $16 $E0 $6E 
   $A3 $DE $6E $05 $00 $70 $83 $D2 $FF $A3 $D0 $6E $89 $16 $D2 $6E 
   $C3 

%patch $4572  $E8 $A4 $43 $EB $13 $90 

#make keen3 points background
%patch $4409      $26 $8B $07 $B6 $0D $F6 $FE 
%patch $4410  $F6 $EE $26 $89 $07 $E9 $60 $01 

%patch $4482  $E9 $74 $FF 
%patch $44BA  $E9 $3C $FF 
%patch $4513  $E9 $E3 $FE 

%patch $28EC                  $26 $8B $07 $B6 
%patch $28F0  $0D $F6 $FE $F6 $EE $26 $89 $07 
%patch $28F8  $03 $1E $08 $6C $03 $1E $08 $6C 
%patch $2900  $26 $89 $07 $90 $90 $90 $90 $90 

%patch 0x01500A "INVINCIBILITY!!!"
%patch 0x01501B "Possible death!!!"

#God Cheat Code
%patch 0x0120D 0x5040
%patch 0x01214 0x503D
%patch 0x0121B 0x5044

%patch 0x015F80 "Hi I am Adriael, a long-time Keen "
%patch 0x015FA8 "fan and a new mod-maker. Big     "
%patch 0x015FD0 "thanks to all those whose     "
%patch 0x015FF8 "graphics and stuff  "
%patch 0x016020 "contributed to this mod. To     "
%patch 0x016048 "everyone else, enjoy the game and  "
%patch 0x016070 "watch out for the next    "
%patch 0x016098 "episodes comming soon! "
%patch 0x0160C0 "Hey Apogee! release Keen 7   "
%patch 0x0160E8 "now before I come over there and "
%patch 0x016110 "recolour your palette!   "

%patch 0x01632C "Dangerous Keen In the   "
%patch 0x016346 "Haunted Mansion is a mod "
%patch 0x016392 "and can only be down-    "
%patch 0x0163AD "loaded off the net- Wait "
%patch 0x0163C8 "you already did!         "
%patch 0x0163E4 "You can download these  from Keen    "
%patch 0x01640D "fansites, but not from me! I don't "
%patch 0x016434 "know how to load files to the      "
%patch 0x01645B "internet! Damn the DOS generation"
%patch 0x016480 "at least THAT program works"
%patch 0x0164B5 "Mail complaints"
%patch 0x01646C "e DOS generation"
%patch 0x0164EE "Don't pay them!"
%patch 0x016516 "ID really SUCK!"
%patch 0x016542 "Support Keen 7! Ring ID on 13 Jan 2004  "
%patch 0x016573 "at 9am and jam their phone lines!!"

%patch 0x014DEE "Resorting to cheating"
%patch 0x014E05 "how absolutely pathetic!  "
%patch 0x014E21 "REAL players don't use"
%patch 0x014E39 "cheats you slime mould! "

# screen on Mars, at coordinates 9, 37 on World Map.
%patch 0x00015c24 "Commander Keen leaves the haunted  "
%patch 0x00015c47 0x0A 0x00
%patch 0x00015c49 "mansion vowing never to ignore     "
%patch 0x00015c6a 0x0A 0x00
%patch 0x00015c6c "ghost stories again! At least he   "
%patch 0x00015c8F 0x0A 0x00
%patch 0x00015c91 "got some shooting practice.     "

%patch 0x00015cb0 0x0A 0x00 0x46 0x49 0x4E 0x41 0x4C 0x45 0x2E 0x43 0x4B 0x31

# First Dialogue box at home, and so on
%patch 0x00015cbd "Hey Dave, missing a   "
%patch 0x00015cd3 0x0A 0x00
%patch 0x00015cd5 "few things? I     "
%patch 0x00015ce7 0x0A 0x00
%patch 0x00015ce9 "picked these up. "
%patch 0x00015cf9 0x00 0x00

%patch 0x00015cfb "'Hey Wow My gun and  "
%patch 0x00015d0e 0x0A 0x00
%patch 0x00015d10 "ammo and stuff!    "
%patch 0x00015d23 0x0A 0x00
%patch 0x00015d25 "Yesss!    "
%patch 0x00015d2F 0x00

%patch 0x00015d30 "You weren't up in    "
%patch 0x00015d45 0x0A 0x00
# WHAT IS THAT ONE-EYED GREEN THING IN YOUR ROOM?
%patch 0x00015d47 "The old Frenkel place"

%patch 0x00015d5c 0x0A 0x00
%patch 0x00015d5e "Are you crazy? You "
%patch 0x00015d71 0x0a 0x00
%patch 0x00015d73 "could've died! "
%patch 0x00015d7E 0x0a 0x00
%patch 0x00015d80 "Well YOU did it."
%patch 0x00015d90 0x0A 0x00

%patch 0x00015d92 "Yeah but.."
%patch 0x00015d9B 0x00
%patch 0x00015d9c "I wasn't eight.       "
%patch 0x00015db2 0x0A 0x00
%patch 0x00015db4 "I guess you really  "
%patch 0x00015dc8 0x0A 0x00
%patch 0x00015dcA "got what it takes kid."
%patch 0x00015de0 0x00 0x00

# OK, Mom. Goodnight.
%patch 0x00015de2 "'Thanks you're not "
%patch 0x00015df5 0x00
# Goodnight, Dear
%patch 0x00015df6 "so bad either.  "
%patch 0x00015e06 0x00

%patch 0x00015e07 "Now I really should  "
%patch 0x00015e1C 0x0A 0x00
%patch 0x00015e1E "get back to tracking   "
%patch 0x00015e35 0x0A 0x00
%patch 0x00015e37 "Mort. Could he be  "
%patch 0x00015e4a 0x0A 0x00
%patch 0x00015e4c "up to something?     "
%patch 0x00015e61 0x0A 0x00
%patch 0x00015e63 "Nah!          "
%patch 0x00015e71 0x00

%end
